title: Home
icon: home

options:
  changeStatus: false
  #preview: https://preview.mysite.com

tabs:
  mainContent:
    label: 
      fr: contenu général
      en: Main Content
    icon: page

    sections:
      content:
        headline: Content
        type: fields
        fields:
          sections:
            label: Sections
            type: structure
            max: 6
            fields:
              title:
                label: 
                  fr: Titre principal
                  en: Main title
                type: text
              layout:
                type: layout
                layouts:
                  - "1/1"
                  - "1/2, 1/2"
                settings:
                  fields:
                    mobileLayout: settings/mobileLayout
                    bgImage: 
                      label:
                        en: Background Desktop Image
                        fr: Image d'arrière-plan Desktop
                      extends: settings/image
                    bgMobileImage:
                      label:
                        en: Background Mobile Image
                        fr: Image d'arrière-plan Mobile
                      extends: settings/image
                    cover: settings/coverClass
                    overlay: settings/overlay
                    class:
                      extends: settings/alignClass
                      help: 
                        fr: Efficient dans le cas des blocs Témoignages et Liste
                        en: Efficient in the case of Tesimonials and List Blocks
                    bgColor:
                      label:
                        en: Background color
                        fr: Couleur d'arrière plan
                      type: color-palette
                      default: '#D1D3D4'
                      extends: settings/palette
                    fontColor:
                      help:
                        fr: Détermine la couleur de typo générale et celle du point
                        en: Determines the general typeface color and the point color
                      label:
                        en: Font color
                        fr: Couleur de typo
                      extends: settings/palette
                fieldsets:
                  headingBlock:
                    extends: blocks/heading
                    fields:
                      level:
                        options:
                          - h1
                          - h2
                          - h3
                      fontColor:
                        help:
                          fr: (Si différente de celle du  bloc) 
                          en: (If different from bloc color) 
                        label:
                          fr: Couleur de typo
                          en: Font color
                        extends: settings/palette
                  imageBlock:
                    extends: blocks/image
                    fields:
                      image:
                        type: files
                        uploads:
                          template: image
                      class:
                        label: 
                          fr: Disposition
                          en: Layout
                        type: select
                        options:
                          fixed: Fixe
                          floating: Flottante
                        width: 1/2
                        default: fixed
                      ratio:
                        when: xxx
                      crop:
                        when: xxx
                      caption:
                        when: xxx
                  galleryBlock:
                    extends: blocks/gallery
                    fields: 
                      title:
                        label: 
                          fr: Titre du diaporama
                          en: Gallery title
                        type: text
                      galleryHeader:
                        label: 
                          fr: En-tête du diaporama
                          en: Gallery header
                        type: writer
                      # gallerySubtitle:
                      #   label: Sous-titre
                      #   type: text
                      chartOpener:
                        label: Widget Diagramme
                        type: toggle
                        text:
                          - Désactivé
                          - Activé
                      index_0:
                        label: Élément du diagramme - 1
                        type: text
                        width: 1/3
                        when: 
                          chartOpener: true
                      index_1:
                        label: Élément du diagramme - 2
                        type: text
                        width: 1/3
                        when: 
                          chartOpener: true
                      index_2:
                        label: Élément du diagramme - 3
                        type: text
                        width: 1/3
                        when: 
                          chartOpener: true
                      index_3:
                        label: Élément du diagramme - 4
                        type: text
                        width: 1/3
                        when: 
                          chartOpener: true
                      index_4:
                        label: Élément du diagramme - 5
                        type: text
                        width: 1/3
                        when: 
                          chartOpener: true
                      images:
                        template: image
                        uploads:
                          template: image
                  floatingImagesBlock:
                    extends: blocks/gallery
                    name: 
                      fr: Images flottantes
                      en: Floating images
                    icon: image
                    fields:
                      images:
                        max: 2
                  videoBlock: blocks/video
                  textBlock:
                    extends: blocks/text
                    fields:
                      fontColor:
                        help:
                          fr: (Si différente de celle du  bloc) 
                          en: (If different from bloc color) 
                        label:
                          fr: Couleur de typo
                          en: Font color
                        extends: settings/palette
                  listBlock: blocks/list
                  chartBlock: blocks/chart
                  testimonialsBlock: blocks/testimonials

  files:
    label:
      fr: Fichiers
      en: Files
    icon : image
    sections:
      files:
        label:
          fr: Fichiers
          en: Files
        type: files
        template: image
        uploads:
          template: image

  seo:
    label:
      fr: SEO
      en: SEO
    icon: preview
    sections:
      seo:
        headline: SEO
        type: fields
        fields:
          customTitle:
            label: 
              fr : Titre SEO
              en : SEO title
            type: text
            info: "Si ce champ n'est pas défini, c'est le titre par défaut qui sera utilisé"
            width: 1/2
          thumbnail:
            type: files
            template: image
            multiple: false
            uploads:
              template: image
            width: 1/2
          description:
            label: Description
            type: textarea
            width: 1/2


                    